<h2>Movies List</h2>

<ng-container *ngIf="movies$ | async as movies">
    <nav>
        <span>
            <button (click)="gotoFirstPage()" [disabled]="page <= firstPage">
                |&lt; First
            </button>
            <button (click)="gotoPrevPage()" [disabled]="page <= firstPage">
                &laquo; Prev
            </button>
        </span>
        <span>
            <button (click)="gotoNextPage()" [disabled]="page >= lastPage">
                Next &raquo;
            </button>
            <button (click)="gotoLastPage()" [disabled]="page >= lastPage">
                Last &gt;|
            </button>
        </span>
    </nav>

    <table>
        <thead>
            <tr>
                <th></th>
                <th>ID</th>
                <th>Movie</th>
                <th>Price</th>
            </tr>
        </thead>
        <tbody>
            <tr *ngFor="let m of movies" [routerLink]="['info', m.id]">
                <td>
                    <img [src]="m.imageThumb" [alt]="m.title">
                </td>
                <td>{{m.id}}</td>
                <td>
                    <h3>{{m.title | titlecase}}</h3>
                    <h4>{{m.genre | uppercase}}</h4>
                </td>
                <td>
                    {{m.price | currency}}
                </td>
            </tr>
        </tbody>
    </table>
</ng-container>
